<h2>Hero Detail</h2>
<p><i>Just a FormControl</i></p>
<form [formGroup]="heroForm" novalidate>
    <!-- VALIDATIONS -->
    <p class="text-danger">{{heroForm.status}}</p>
    <!-- HERO FORM -->
    <div class="form-group">
        <label class="center-block">Name:
            <input class="form-control" formControlName="name">
        </label>
    </div>
    <div formArrayName="secretLairs">
        <h4>Secret Lairs</h4>
        <div *ngFor="let address of secretLairs.controls; let i=index"
             [formGroupName]="i"
             class="well well-lg">
            <div class="form-group">
                <label class="center-block">Street:
                    <input class="form-control" formControlName="street">
                </label>
            </div>
            <div class="form-group">
                <label class="center-block">City:
                    <input class="form-control" formControlName="city">
                </label>
            </div>
            <div class="form-group">
                <label class="center-block">State:
                    <select formControlName="state">
                        <option *ngFor="let state of states" [value]="state">{{state}}</option>
                    </select>
                </label>
            </div>
            <div class="form-group">
                <label class="center-block">Zip:
                    <input class="form-control" formControlName="zip">
                </label>
            </div>
        </div>
    </div>
    <div class="form-group radio">
        <h4>Super Power</h4>
        <label class="center-block">
            <input type="radio" value="flight" formControlName="power">Flight
        </label>
        <label class="center-block">
            <input type="radio" value="x-ray vision" formControlName="power">X-Ray Vision
        </label>
        <label class="center-block">
            <input type="radio" value="stength" formControlName="power">Strength
        </label>
    </div>
    <div class="check-box">
        <label class="center-block">
            <input type="checkbox" formControlName="sidekick">&nbsp;I have a sidekick
        </label>
    </div>
</form>
